### Hierarchy

- FeatureOverlayMgr

## Index

### Properties

- featureUidToGroupIndex_
- groups_
- layer_
- source_

### Methods

- addFeature
- clear
- getFeatureOverlay
- getLayer
- init
- isEmpty
- removeFeature
- setStyle
- styleFunction_

## Properties

### featureUidToGroupIndex_

featureUidToGroupIndex_: Object

- Defined in src/map/FeatureOverlayMgr.js:63

### groups_

groups_: MapFeatureOverlayGroup[]

- Defined in src/map/FeatureOverlayMgr.js:68

### layer_

layer_: VectorLayer<VectorSource<Geometry>>

- Defined in src/map/FeatureOverlayMgr.js:80

### source_

source_: VectorSource<Geometry>

- Defined in src/map/FeatureOverlayMgr.js:73

## Methods

### addFeature

- addFeature(feature: Feature<Geometry>, groupIndex: number): void

- - Defined in src/map/FeatureOverlayMgr.js:102

  #### Parameters

  - ##### feature: Feature<Geometry>

    The feature to add.

  - ##### groupIndex: number

    The group groupIndex.

  #### Returns void

### clear

- clear(groupIndex: number): void

- - Defined in src/map/FeatureOverlayMgr.js:127

  #### Parameters

  - ##### groupIndex: number

    The group groupIndex.

  #### Returns void

### getFeatureOverlay

- getFeatureOverlay(): FeatureOverlay

- - Defined in src/map/FeatureOverlayMgr.js:147

  #### Returns FeatureOverlay

  Feature overlay.

### getLayer

- getLayer(): VectorLayer<VectorSource<Geometry>>

- - Defined in src/map/FeatureOverlayMgr.js:140

  #### Returns VectorLayer<VectorSource<Geometry>>

  The vector layer used internally.

### init

- init(map: Map): void

- - Defined in src/map/FeatureOverlayMgr.js:159

  #### Parameters

  - ##### map: Map

    Map.

  #### Returns void

### isEmpty

- isEmpty(groupIndex: number): boolean

- - Defined in src/map/FeatureOverlayMgr.js:92

  #### Parameters

  - ##### groupIndex: number

    The group groupIndex.

  #### Returns boolean

  True if the group has no features. False otherwise.

### removeFeature

- removeFeature(feature: Feature<Geometry>, groupIndex: number): void

- - Defined in src/map/FeatureOverlayMgr.js:115

  #### Parameters

  - ##### feature: Feature<Geometry>

    The feature to add.

  - ##### groupIndex: number

    The group groupIndex.

  #### Returns void

### setStyle

- setStyle(style: StyleLike, groupIndex: number): void

- - Defined in src/map/FeatureOverlayMgr.js:168

  #### Parameters

  - ##### style: StyleLike

    Style.

  - ##### groupIndex: number

    Group index.

  #### Returns void

### styleFunction_

- styleFunction_(feature: Feature<Geometry> | RenderFeature, resolution: number): void | Style | Style[]

- - Defined in src/map/FeatureOverlayMgr.js:179

  #### Parameters

  - ##### feature: Feature<Geometry> | RenderFeature

    Feature.

  - ##### resolution: number

    Resolution.

  #### Returns void | Style | Style[]

  Styles.

Generated using TypeDoc